settings {cellHTS2} | R Documentation

## cellHTS2 HTML report settings

### Description

Functions to control the output of `writeReport` through session-wide or call-specific settings.

### Usage

    setSettings(x)
    getSettings()

### Arguments

`x` | A named list of settings. See details for supported values.

### Details

The `writeReport` function produces a complete audit trail of the analysis in the form of an HTML report. The content of this report is highly customizable though session-wide and also though call-specific settings. The former are supposed to be set using the `setSettings` function by providing a named nested list of values. The latter can be set by passing a similiar list on to `writeHTML` as the optional `settings` argument. The current values for all available settings can be queried using the `getSettings` function.

Similar to the structure of the HTML report, the available settings are broken up into subsections, and the names of these subsection have to be matched by the names in the nestes list structure:

plateList

  The settings for all the plots in the plate list section of the report. There are several sub-section:

  correlation

    The settings for the correlation plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 7.5.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 14.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.5.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 12.

  maplot

    The settings for the correlation plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 7.5.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 14.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.5.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 12.

  histograms

    The settings for the histogram plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 8.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 14.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 2.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 10.

    type

      The type of plot produced here. One in histogram or density. Both plot types have pros and cons: histograms can be misleading because of bin size artefacts, whereas density plots hide the sample size information.

  reproducibility

    The settings for the reproducibility plate plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 8.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 12.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.3.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 10.

    col

      The color range that gets passed on to `plotPlate` as argument `col`. The default value is `brewer.pal(9, "YlOrRd")`.

    range

      The data range that gets passed on to `plotPlate` as argument `xrange`. The default value is `function(x) c(0, quantile(x, 0.95, na.rm=TRUE))`.

    include

      A logical indicating whether to create the plate plot or not. The default value is `FALSE`.

    map

      A logical indicating whether to tooltips containing the plate annotation for each well or not. The default value is `FALSE`.

  average

    The settings for the reproducibility plate plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 8.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 12.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.3.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 10.

    col

      The color range that gets passed on to `plotPlate` as argument `col`. The default value is `brewer.pal(9, "YlOrRd")`.

    range

      The data range that gets passed on to `plotPlate` as argument `xrange`. The default value is `function(x) c(0, quantile(x, 0.95, na.rm=TRUE))`.

    include

      A logical indicating whether to create the plate plot or not. The default value is `FALSE`.

    map

      A logical indicating whether to tooltips containing the plate annotation for each well or not. The default value is `FALSE`.

  intensities

    The settings for the raw data plate plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 8.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 12.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.6.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 10.

    col

      The color range that gets passed on to `plotPlate` as argument `col`. The default value is `rev(brewer.pal(9, "RdBu"))`.

    range

      The data range that gets passed on to `plotPlate` as argument `xrange`. The default value is `function(x) quantile(x, c(0.025, 0.975), na.rm = TRUE)`. A useful alternative setting here would be `function(x) c(-1,1) * max(abs(x), na.rm=TRUE)`, which forces a value of `0` to be white.

    include

      A logical indicating whether to create the plate plot or not. The default value is `FALSE`.

    map

      A logical indicating whether to tooltips containing the plate annotation for each well or not. The default value is `FALSE`.

plateConfiguration

  This controls settings for the plate configuration part of the report. Available settings are:

  size

    The width in inches of the pdf device holding the plot. The default value is 14.

  fontSize

    The point size of the font for all the text in the pdf version of the plot. The default value is 12.

  font

    The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

  thumbFactor

    The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 2.

  thumbFontSize

    The point size of the font for all the text in the thumbnail png version of the plot. The default value is 9.

  include

    A logical indicating whether to create the plate configuration plot or not. The default value is `TRUE`.

plateSummaries

  This controls settings for the plate summary plots in the report. There are two sub-sections:

boxplot
  size

    The width in inches of the pdf device holding the plot. The default value is 7.5.

  fontSize

    The point size of the font for all the text in the pdf version of the plot. The default value is 12.

  font

    The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

  thumbFactor

    The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.5.

  thumbFontSize

    The point size of the font for all the text in the thumbnail png version of the plot. The default value is 11.

  col

    The colors used to fill the boxes. A vector of length two, where the first item specifies the color for the raw data panel and the second item specifies the color for the normalized data panel. The default value is `c("pink", "lightblue")`.

controls
  size

    The width in inches of the pdf device holding the plot. The default value is 7.5.

  fontSize

    The point size of the font for all the text in the pdf version of the plot. The default value is 12.

  font

    The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

  thumbFactor

    The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.5.

  thumbFontSize

    The point size of the font for all the text in the thumbnail png version of the plot. The default value is 11.

screenSummary

  The settings for all the plots in the screen summary section of the report. There are several sub-section:

  scores

    The settings for summary screen image plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 7.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 10.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 9.

    col

      The color range used to map the data values into. This has to be a named list of length two, with the first item `posNeg` being the color range used when there are both positive and negative values, and the second item being the color range for positive values only. One usually wants the former to be centered on white to blend into the background, and the former to start from white. The default value is `list(posNeg=rev(brewer.pal(11, "RdBu"))[c(1:5, rep(6,3), 7:11)], pos=brewer.pal(9, "Greys"))`.

    aspect

      The aspect ratio of the plot. The default value is `1`.

    annotation

      An alternative character vector of annotation mappings. See `imageScreen` for details.

    map

      A logical indicating whether to tooltips containing the plate annotation for each well or not. The default value is `FALSE`.

    range

      The range of values into which the colors will be mapped. A numeric of length 2.

    nbImageBins

      The number of color bins used in the map. Default is 256.

    nbLegendBins

      The number of color bins shown in the legend. Default is 7.

  qqplot

    The settings for the Normal Q-Q plots:

    size

      The width in inches of the pdf device holding the plot. The default value is 7.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 10.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 9.

  distribution

    The settings for the density distribution plot:

    size

      The width in inches of the pdf device holding the plot. The default value is 7.

    fontSize

      The point size of the font for all the text in the pdf version of the plot. The default value is 10.

    font

      The font used for all the text in the pdf version of the plot. The default is `"Helvetica"`.

    thumbFactor

      The factor by which the thumbnail png version of the plot is smaller compared to the high-resolution pdf version. The default value is 1.

    thumbFontSize

      The point size of the font for all the text in the thumbnail png version of the plot. The default value is 9.

screenResults

  The settings for the screen results panel:

  keepFieldPattern

    A regular expression indicating which column names to keep. Default is "^plate$|^well$|^score$|^wellAnno$|^finalWellAnno$|raw_|normalized_|GeneID|GeneSymbol".

  htmlMaxItems

    The maximal number of cells in the output table to produce an HTML table. Default is 20000.

  htmlLinks

    A data frame containing a `plate` column, a `well` column, followed by the columns containing the HTML hyper links to add to the output table. Default is `NULL`, no links.

controls

  The settings for the annotation of control wells and other type of wells. Currently these are only two item:

  col

    A named vector of colors to be used across all plots for the annotation of the well types. Allowed values are: `sample`, `neg`, `controls`, `other`, `empty`, `flagged`, `act`, `inh` and `pos`. Additional user-defined well types that don't fall in any of these groups will be assigned a color from the palette defined in `otherCol`.

  col

    A color palette from which colors are drawn for well types not defined in `col`.

controls

  Global report settings:

  ppi

    A numeric indicating the resolution of the screen. This parameter is used to generate PNG images. Large numbers produce large PNG images. Default is 72.

### Value

The current settings for `getSettings`.

`setSettings` is called for its side effect of setting session-wide settings.

### Author(s)

Florian Hahne

### See Also

`writeReport`

### Examples

    oset <- getSettings()
    oset

    setSettings(list(plateConfiguration=list(size=2),
    list(plateList=list(intensities=list(include=FALSE)))))

    getSettings()

    setSettings(oset)

[Package cellHTS2 version 2.52.0 Index]